Bug 78192 - Update port: sysutils/boxbackup - Fix compile issues
Update port: sysutils/boxbackup - Fix compile issues
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: barner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-28 13:10 UTC by jamesog
Modified: 2005-03-23 21:10 UTC (History)
0 users

See Also:


Attachments
file.diff (2.36 KB, patch)
2005-02-28 13:10 UTC, jamesog
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jamesog 2005-02-28 13:10:16 UTC
	Modified Perl path in the configure scripts as the original author harcoded /usr/bin/perl or just perl. 
	Added two new patch files - files/patch-makebuildenv.pl and files/patch-makeparcels.pl

Fix: Apply the following diff, which adds two new patchfiles to ${PKGDIR}/files:

How-To-Repeat: 	Use #!/usr/bin/perl and (cd ../..; perl ./script.pl) within the Perl scripts - this seems to cause build errors on pointyhat. Using /usr/local/bin/perl should fix this.
Comment 1 barner freebsd_committer 2005-03-04 13:47:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->barner

Grab
Comment 2 barner freebsd_committer 2005-03-04 14:34:29 UTC
Hi,

could you please verify that the following patch also works in your
enviroment?

Differences to your approach:
 - use ${PERL} variable and REINPLACE_CMD to fix perl paths in _all_
   perl scripts
 
 - Point configure to OpenSSL. The port bailed out on my system (OpenSSL
   removed from base system)


Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/sysutils/boxbackup/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- Makefile	28 Feb 2005 06:48:49 -0000	1.3
+++ Makefile	4 Mar 2005 14:19:52 -0000
@@ -23,6 +23,7 @@
 
 USE_OPENSSL=	yes
 HAS_CONFIGURE=	yes
+CONFIGURE_ARGS=	openssl:${OPENSSLBASE}
 USE_REINPLACE=	yes
 USE_RC_SUBR=	yes
 USE_PERL5=		yes
@@ -82,6 +83,10 @@
 		${WRKSRC}/bbstored.sh
 	@${SED} -e 's,%%PREFIX%%,${PREFIX},g' <${FILESDIR}/bbackupd.sh >\
 		${WRKSRC}/bbackupd.sh
+	@${FIND} ${WRKSRC} -name "*.pl" -exec \
+		${REINPLACE_CMD} -e 's,/usr/bin/perl,${PERL},g' {} \;
+	@${REINPLACE_CMD} -e 's, perl , ${PERL} ,' \
+		${WRKSRC}/infrastructure/makebuildenv.pl
 .if defined(CLIENT_ONLY) || !defined(SERVER_ONLY)
 	@${CAT} ${FILESDIR}/pkg-message.client >> ${PKGMESSAGE}
 .endif
Comment 3 barner freebsd_committer 2005-03-04 14:34:36 UTC
State Changed
From-To: open->feedback

Sent modified patch to originator.
Comment 4 barner freebsd_committer 2005-03-13 17:19:51 UTC
State Changed
From-To: feedback->	 closed

Modified version of the patch committed. I took your 9 days of silence as 
an approval, and I'm sure you prefer to have the fix in the tree before 
the freeze. 

Next time, please use [maintainer] in the synopsis in order 
to make life easier for committers
Comment 5 James O'Gorman 2005-03-23 21:00:05 UTC
Hi Simon,

Sorry for the delay in replying. I thought my patch had worked, but I'll
review it again. Things are rather hectic at work at the moment, so
haven't had much time for my own projects.

James

On Fri, Mar 04, 2005 at 03:34:29PM +0100, Simon Barner wrote:
> Hi,
> 
> could you please verify that the following patch also works in your
> enviroment?
> 
> Differences to your approach:
>  - use ${PERL} variable and REINPLACE_CMD to fix perl paths in _all_
>    perl scripts
>  
>  - Point configure to OpenSSL. The port bailed out on my system (OpenSSL
>    removed from base system)
> 
> 
> Index: Makefile
> ===================================================================
> RCS file: /home/ncvs/ports/sysutils/boxbackup/Makefile,v
> retrieving revision 1.3
> diff -u -r1.3 Makefile
> --- Makefile	28 Feb 2005 06:48:49 -0000	1.3
> +++ Makefile	4 Mar 2005 14:19:52 -0000
> @@ -23,6 +23,7 @@
>  
>  USE_OPENSSL=	yes
>  HAS_CONFIGURE=	yes
> +CONFIGURE_ARGS=	openssl:${OPENSSLBASE}
>  USE_REINPLACE=	yes
>  USE_RC_SUBR=	yes
>  USE_PERL5=		yes
> @@ -82,6 +83,10 @@
>  		${WRKSRC}/bbstored.sh
>  	@${SED} -e 's,%%PREFIX%%,${PREFIX},g' <${FILESDIR}/bbackupd.sh >\
>  		${WRKSRC}/bbackupd.sh
> +	@${FIND} ${WRKSRC} -name "*.pl" -exec \
> +		${REINPLACE_CMD} -e 's,/usr/bin/perl,${PERL},g' {} \;
> +	@${REINPLACE_CMD} -e 's, perl , ${PERL} ,' \
> +		${WRKSRC}/infrastructure/makebuildenv.pl
>  .if defined(CLIENT_ONLY) || !defined(SERVER_ONLY)
>  	@${CAT} ${FILESDIR}/pkg-message.client >> ${PKGMESSAGE}
>  .endif

--